## nexus 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: nexus
 Title: Sourcing Archaeological Materials by Chemical Composition
-Version: 0.2.0
+Version: 0.3.0
 Authors@R: c(
     person("Nicolas", "Frerebeau", , "nicolas.frerebeau@u-bordeaux-montaigne.fr", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0001-5759-4944", affiliation = "Université Bordeaux Montaigne")),
@@ -22,22 +22,27 @@
 URL: https://packages.tesselle.org/nexus/,
         https://github.com/tesselle/nexus
 BugReports: https://github.com/tesselle/nexus/issues
-Depends: R (>= 3.5), dimensio (>= 0.6.0)
-Imports: arkhe (>= 1.6.0), graphics, grDevices, isopleuros (>= 1.2.0),
-        methods, MASS, stats, utils
-Suggests: cluster, folio (>= 1.4.0), igraph, knitr, markdown, rsvg,
+Depends: R (>= 3.5), dimensio (>= 0.9.0)
+Imports: arkhe (>= 1.7.0), graphics, grDevices, isopleuros (>= 1.2.0),
+        khroma (>= 1.14.0), methods, MASS, stats, utils
+Suggests: cluster, folio (>= 1.5.0), igraph, knitr, markdown, rsvg,
         svglite, tinysnapshot, tinytest
 VignetteBuilder: knitr
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.3.0
-Collate: 'AllClasses.R' 'AllGenerics.R' 'coerce.R' 'data.R' 'graph.R'
-        'mix.R' 'mutators.R' 'nexus-internal.R' 'nexus-package.R'
-        'outliers.R' 'pca.R' 'plot.R' 'reexport.R' 'replace.R' 'show.R'
-        'simplex.R' 'statistics.R' 'subset.R' 'summary.R' 'transform.R'
-        'validate.R' 'zzz.R'
+RoxygenNote: 7.3.2
+Collate: 'AllClasses.R' 'AllGenerics.R' 'aggregate.R' 'barplot.R'
+        'chemistry.R' 'coerce.R' 'condense.R' 'covariance.R' 'data.R'
+        'describe.R' 'dist.R' 'graph.R' 'group.R' 'hist.R' 'margin.R'
+        'mean.R' 'mix.R' 'mutators.R' 'nexus-internal.R'
+        'nexus-package.R' 'outliers.R' 'pca.R' 'plot.R' 'quantile.R'
+        'reexport.R' 'replace.R' 'scale.R' 'show.R' 'simplex.R'
+        'split.R' 'subset.R' 'summary.R' 'transform_alr.R'
+        'transform_clr.R' 'transform_ilr.R' 'transform_inverse.R'
+        'transform_lr.R' 'transform_plr.R' 'validate.R' 'variance.R'
+        'variation.R' 'zzz.R'
 NeedsCompilation: no
-Packaged: 2024-02-26 16:38:51 UTC; nicolas
+Packaged: 2024-09-03 14:59:11 UTC; nicolas
 Author: Nicolas Frerebeau [aut, cre] (<https://orcid.org/0000-0001-5759-4944>,
     Université Bordeaux Montaigne),
   Anne Philippe [aut] (<https://orcid.org/0000-0002-5331-5087>,
@@ -49,4 +54,4 @@
   Université Bordeaux Montaigne [fnd],
   CNRS [fnd]
 Repository: CRAN
-Date/Publication: 2024-02-26 17:20:02 UTC
+Date/Publication: 2024-09-03 15:20:02 UTC
