## nexus 0.5.0

=== DESCRIPTION ===
Package: nexus
Title: Sourcing Archaeological Materials by Chemical Composition
Version: 0.5.0
Authors@R: c(
    person("Nicolas", "Frerebeau", , "nicolas.frerebeau@u-bordeaux-montaigne.fr", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0001-5759-4944")),
    person("Anne", "Philippe", , "anne.philippe@univ-nantes.fr", role = "aut",
           comment = c(ORCID = "0000-0002-5331-5087")),
    person("Brice", "Lebrun", role = "art",
           comment = c(ORCID = "0000-0001-7503-8685", "Logo designer")),
    person("Université Bordeaux Montaigne", role = "fnd",
           comment = c(ROR = "03pbgwk21")),
    person("CNRS", role = "fnd",
           comment = c(ROR = "02feahw73"))
  )
Maintainer: Nicolas Frerebeau <nicolas.frerebeau@u-bordeaux-montaigne.fr>
Description: Exploration and analysis of compositional data in the
    framework of Aitchison (1986, ISBN: 978-94-010-8324-9). This package
    provides tools for chemical fingerprinting and source tracking of
    ancient materials.
License: GPL (>= 3)
URL: https://codeberg.org/tesselle/nexus,
        https://packages.tesselle.org/nexus/
BugReports: https://codeberg.org/tesselle/nexus/issues
Depends: R (>= 3.5), dimensio (>= 0.13.0)
Imports: arkhe (>= 1.10.0), graphics, grDevices, isopleuros (>= 1.4.0),
        khroma (>= 1.16.0), MASS, methods, stats, utils
Suggests: cluster, folio (>= 1.5.0), igraph, knitr, markdown, rsvg,
        svglite, tinysnapshot, tinytest
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.2
X-schema.org-applicationCategory: Archaeological Science
X-schema.org-isPartOf: https://www.tesselle.org
X-schema.org-keywords: archaeology, archaeological-science,
        archaeometry, compositional-data, provenance-studies, r-package
Collate: 'AllClasses.R' 'AllGenerics.R' 'aggregate.R' 'barplot.R'
        'bind.R' 'chemistry.R' 'coerce.R' 'condense.R' 'covariance.R'
        'data.R' 'describe.R' 'dist.R' 'graph.R' 'group.R' 'hist.R'
        'margin.R' 'mean.R' 'mix.R' 'mutators.R' 'nexus-internal.R'
        'nexus-package.R' 'outliers.R' 'pairs.R' 'pca.R' 'plot.R'
        'quantile.R' 'reexport.R' 'replace.R' 'scale.R' 'show.R'
        'simplex.R' 'split.R' 'subset.R' 'summary.R' 'transform_alr.R'
        'transform_clr.R' 'transform_ilr.R' 'transform_inverse.R'
        'transform_lr.R' 'transform_plr.R' 'validate.R' 'variance.R'
        'variation.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2025-04-07 09:10:35 UTC; nicolas
Author: Nicolas Frerebeau [aut, cre] (<https://orcid.org/0000-0001-5759-4944>),
  Anne Philippe [aut] (<https://orcid.org/0000-0002-5331-5087>),
  Brice Lebrun [art] (<https://orcid.org/0000-0001-7503-8685>, Logo
    designer),
  Université Bordeaux Montaigne [fnd] (03pbgwk21),
  CNRS [fnd] (02feahw73)
Repository: CRAN
Date/Publication: 2025-04-07 09:30:02 UTC
