## nexus 4.2.1-svn1614

=== debian/changelog ===
nexus (4.2.1-svn1614-1) unstable; urgency=low

  * Initial release (Closes: #411053) 

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Thu, 21 Jul 2011 11:52:11 +0100
