## nexus 4.3-svn1898

=== debian/changelog ===
nexus (4.3-svn1898-1) unstable; urgency=low

  * updated upstream version fixing NX5getinfo64

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Sat, 22 Jun 2013 16:20:31 +0100

nexus (4.3-svn1896-1) unstable; urgency=low

  * new upstream version to resolve issues around napiconfig.h
    and add various small improvements

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Sun, 19 May 2013 18:15:22 +0100

nexus (4.3-svn1889-1) unstable; urgency=low

  * new upstream release with bug fixes
  * ensure backward compatibility when compiling with Java 7

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Fri, 08 Mar 2013 00:30:22 +0000

nexus (4.3-svn1863-2) unstable; urgency=low

  * conflict with old python package to allow upgrade
  * populate binary-indep target for python
  * bump standards version (potential symbols work outstanding)

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Sun, 17 Feb 2013 19:45:47 +0000

nexus (4.3-svn1863-1) unstable; urgency=low

  * new upstream version (Closes: #692425)
  * use dpkg-buildflags

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Thu, 13 Dec 2012 15:29:09 +0000

nexus (4.3-svn1815-2) unstable; urgency=low

  * remove transitional libhdf5-serial-dev dependency

 -- Tobias Richter <tsr-debian@achos.com>  Wed, 23 May 2012 10:05:18 +0100

nexus (4.3-svn1815-1) unstable; urgency=low

  * new upstream version
  * update standards version from 3.9.2 to 3.9.3 (no change)
  * make python arch all (Closes: #662215)
  * better python dependency (Closes: #662214)
  * correct python package name (Closes: #662158)
  * Thanks to Jakub for spotting all my python packaging mistakes!

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Mon, 14 May 2012 18:22:36 +0100

nexus (4.2.1-svn1614-2) unstable; urgency=low

  * better solution for finding JAVA_HOME (Closes: #636203)
  * provide build-arch and build build-indep targets

 -- Tobias Stefan Richter <tsr-debian@achos.com>  Tue, 02 Aug 2011 11:37:59 +0100
